resource "aws_alb_listener" "nlb-listener-http-spot" {
  load_balancer_arn = aws_alb.nlb-spot-kr-ingress.arn
  port              = "443"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-spot-kr-tcp-30001.arn
  }
}

resource "aws_alb_listener" "nlb-listener-tls-spot" {
  load_balancer_arn = aws_alb.nlb-spot-kr-ingress.arn
  port              = "80"
  protocol          = "TCP"

  default_action {
    type             = "forward"
    target_group_arn = aws_alb_target_group.tg-spot-kr-tcp-30000.arn
  }
}
